Debian Bug report logs - #553409
freeglut: FTBFS on hurd-i386: unused variable counted as error

version graph

Package: freeglut; Maintainer for freeglut is Anton Gladky <gladk@debian.org>;

Reported by: Pino Toscano <pino@kde.org>

Date: Sat, 31 Oct 2009 01:12:01 UTC

Severity: important

Tags: patch

Found in version 2.4.0-8

Fixed in version freeglut/2.4.0-9

Done: Bradley Smith <bradsmith@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Bradley Smith <bradsmith@debian.org>:
Bug#553409; Package freeglut. (Sat, 31 Oct 2009 01:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pino Toscano <pino@kde.org>:
New Bug report received and forwarded. Copy sent to Bradley Smith <bradsmith@debian.org>. (Sat, 31 Oct 2009 01:12:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Pino Toscano <pino@kde.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: freeglut: FTBFS on hurd-i386: unused variable counted as error
Date: Sat, 31 Oct 2009 02:05:52 +0100
[Message part 1 (text/plain, inline)]
Package: freeglut
Version: 2.4.0-8
Severity: important
Tags: patch
User: debian-hurd@lists.debian.org
Usertags: hurd

Hi,

freeglut does not compile on GNU/Hurd with the following error log (wrapped
in multiple lines for readability):

>  i486-gnu-gcc -DHAVE_CONFIG_H -I. -I. -I.. -I../include -Wall -g -O2 -g \
>   -Wall -pedantic -Werror -MT libglut_la-freeglut_joystick.lo -MD -MP -MF \
>   .deps/libglut_la-freeglut_joystick.Tpo -c freeglut_joystick.c  -fPIC -DPIC \
>   -o .libs/libglut_la-freeglut_joystick.o
> cc1: warnings being treated as errors
> freeglut_joystick.c: In function 'fghJoystickOpen':
> freeglut_joystick.c:1040: warning: unused variable 'i'
> make[3]: *** [libglut_la-freeglut_joystick.lo] Error 1

This is because there is the 'int i' declaration at the top of the function,
used for any OS, but there is no Hurd-specific block which uses it;
the proposed patch just initializes 'i', so it is considered used for every OS.
Hopefully should not harm every other OS.

Thanks,
-- 
Pino
[03_fix_hurd.diff (text/x-c, attachment)]

Reply sent to Bradley Smith <bradsmith@debian.org>:
You have taken responsibility. (Mon, 14 Dec 2009 22:48:11 GMT) Full text and rfc822 format available.

Notification sent to Pino Toscano <pino@kde.org>:
Bug acknowledged by developer. (Mon, 14 Dec 2009 22:48:11 GMT) Full text and rfc822 format available.

Message #10 received at 553409-close@bugs.debian.org (full text, mbox):

From: Bradley Smith <bradsmith@debian.org>
To: 553409-close@bugs.debian.org
Subject: Bug#553409: fixed in freeglut 2.4.0-9
Date: Mon, 14 Dec 2009 22:47:11 +0000
Source: freeglut
Source-Version: 2.4.0-9

We believe that the bug you reported is fixed in the latest version of
freeglut, which is due to be installed in the Debian FTP archive:

freeglut3-dbg_2.4.0-9_amd64.deb
  to main/f/freeglut/freeglut3-dbg_2.4.0-9_amd64.deb
freeglut3-dev_2.4.0-9_amd64.deb
  to main/f/freeglut/freeglut3-dev_2.4.0-9_amd64.deb
freeglut3_2.4.0-9_amd64.deb
  to main/f/freeglut/freeglut3_2.4.0-9_amd64.deb
freeglut_2.4.0-9.diff.gz
  to main/f/freeglut/freeglut_2.4.0-9.diff.gz
freeglut_2.4.0-9.dsc
  to main/f/freeglut/freeglut_2.4.0-9.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 553409@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bradley Smith <bradsmith@debian.org> (supplier of updated freeglut package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 14 Dec 2009 22:22:41 +0000
Source: freeglut
Binary: freeglut3 freeglut3-dev freeglut3-dbg
Architecture: source amd64
Version: 2.4.0-9
Distribution: unstable
Urgency: low
Maintainer: Bradley Smith <bradsmith@debian.org>
Changed-By: Bradley Smith <bradsmith@debian.org>
Description: 
 freeglut3  - OpenGL Utility Toolkit
 freeglut3-dbg - OpenGL Utility Toolkit debugging information
 freeglut3-dev - OpenGL Utility Toolkit development files
Closes: 553409 561078
Changes: 
 freeglut (2.4.0-9) unstable; urgency=low
 .
   * Adjust 01_fix_kfreebsd.diff for GNU/kfreebsd 8.x.
     Thanks to Petr Salinger <Petr.Salinger@seznam.cz>. Closes: #561078.
   * Fix hurd FTBFS. Thanks to Pino Toscano <pino@kde.org>.
     Closes: #553409.
Checksums-Sha1: 
 20ade618f4ae3d221c45b88a0df168daaa56b10b 1353 freeglut_2.4.0-9.dsc
 e5750fcc9a56a29eeb551a8d966976497c6e4fd2 6815 freeglut_2.4.0-9.diff.gz
 e256d67b240e9e6f201407f4a615d3b486b4cf6a 99886 freeglut3_2.4.0-9_amd64.deb
 a2a4abff504df99afcea39b5da9d32c82bc37c1a 172122 freeglut3-dev_2.4.0-9_amd64.deb
 51f73944cd1015f8b2e930df52b77c0f7705df3d 137440 freeglut3-dbg_2.4.0-9_amd64.deb
Checksums-Sha256: 
 9bac1113f674539796ddbd47ef2cd1e26e41d27a9b2dd3b87ce04e09db559cd3 1353 freeglut_2.4.0-9.dsc
 3ffdbec45ae91bf314cab58acafa7265680ae87cd910a4741fde8928dd24ce33 6815 freeglut_2.4.0-9.diff.gz
 937785c328e132a0475b1a7e22c7391ecb6c29a5184f931d0a68188fd6996551 99886 freeglut3_2.4.0-9_amd64.deb
 8fb9c4c830c267bb36ec17fb53e6775cd703c0866e9b8f5ff785375a6aabbb0b 172122 freeglut3-dev_2.4.0-9_amd64.deb
 3e5f6f83f853ec82efbcfac4394664afcac83d4e2ea53d2cd2e9e9db7cd99041 137440 freeglut3-dbg_2.4.0-9_amd64.deb
Files: 
 b78419c7854ea3a2445f04883c70641a 1353 graphics optional freeglut_2.4.0-9.dsc
 652e5139b44e40ddaccc1744c913095c 6815 graphics optional freeglut_2.4.0-9.diff.gz
 4ffcc9d94e85ed9b88e8002d555d5e60 99886 libs optional freeglut3_2.4.0-9_amd64.deb
 b94d01bb9dd29bb12f7bc4719ee02b7f 172122 libdevel optional freeglut3-dev_2.4.0-9_amd64.deb
 ce391a66776f5b10877b1444dbf2e03a 137440 debug extra freeglut3-dbg_2.4.0-9_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAksmvG4ACgkQj3BimscY00cBSwCcCxCNobrS+slnXwfRgjIjXEoD
ofgAn1E9gWhes5L/GBCrT9MWQMooIKbt
=MCvL
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 22 Jan 2010 07:31:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 03:36:09 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.